import axios from "@/utils/request";

// 获取商品分类项
export async function getGoodsList () {
  const res = await axios.get("/api/v1/get_goods_category_list");
  return res;
}
// 获取商品列表
export async function getList (params) {
  const res = await axios.get("/api/v1/goods/background/get_goods_list", { params });
  return res;
}
// 商品上架
export async function putOnline (query) {
  const res = await axios.post("/api/v1/goods/background/online", {
    goods_spu_id: query
  });
  return res;
}
// 商品下架
export async function putOffline (query) {
  const res = await axios.post("/api/v1/goods/background/offline", {
    goods_spu_id: query
  });
  return res;
}
// 获取商品详情列表
export async function getGoodsInfo (params) {
  const res = await axios.get("/api/v1/goods/background/get_goods_info", { params });
  return res;
}
